Package org.apache.maven.scm.provider.accurev

## Enum AccuRevStat

- java.lang.Object
- - java.lang.Enum<AccuRevStat>
  - - org.apache.maven.scm.provider.accurev.AccuRevStat

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AccuRevStat>`

    public enum AccuRevStat
    extends java.lang.Enum<AccuRevStat>

### Enum Constant Summary

Enum Constants
`DEFUNCT`
`EXTERNAL`
`KEPT`
`MISSING`
`MODIFIED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.regex.Pattern` `getMatchPattern()`
`java.lang.String` `getStatArg()`
`static AccuRevStat` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AccuRevStat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFUNCT

    public static final AccuRevStat DEFUNCT

#### MODIFIED

    public static final AccuRevStat MODIFIED

#### KEPT

    public static final AccuRevStat KEPT

#### MISSING

    public static final AccuRevStat MISSING

#### EXTERNAL

    public static final AccuRevStat EXTERNAL

### Method Detail

#### values

    public static AccuRevStat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccuRevStat c : AccuRevStat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccuRevStat valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getStatArg

    public java.lang.String getStatArg()

#### getMatchPattern

    public java.util.regex.Pattern getMatchPattern()